package co.yixiang.yshop.module.product.convert.shippingtemplates;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.product.controller.admin.shippingtemplates.vo.*;
import co.yixiang.yshop.module.product.dal.dataobject.shippingtemplates.ShippingTemplatesDO;

/**
 * 运费模板 Convert
 *
 * @author yshop
 */
@Mapper
public interface ShippingTemplatesConvert {

    ShippingTemplatesConvert INSTANCE = Mappers.getMapper(ShippingTemplatesConvert.class);

    ShippingTemplatesDO convert(ShippingTemplatesCreateReqVO bean);

    ShippingTemplatesDO convert(ShippingTemplatesUpdateReqVO bean);

    ShippingTemplatesRespVO convert(ShippingTemplatesDO bean);

    List<ShippingTemplatesRespVO> convertList(List<ShippingTemplatesDO> list);

    PageResult<ShippingTemplatesRespVO> convertPage(PageResult<ShippingTemplatesDO> page);

    List<ShippingTemplatesExcelVO> convertList02(List<ShippingTemplatesDO> list);

}
